//testapp.h
#ifndef __CTESTAPP_H
#define __CTESTAPP_H

#include "./dx_base/application.h"

class CXFile;
class CDXEffect;
class CVertexBuffer;
class CIndexBuffer;
class MyRenderer;
class MyMesh;
class MyTexture;

class CTestApp : public CApplication
{
public:
	CTestApp();
	virtual ~CTestApp();

protected:
	virtual bool ProcessKey(HWND hWnd, WPARAM wKey);
	virtual bool PostGraphics();
	virtual void Cleanup();
	virtual void Render();
	virtual void Update();

private:
	void InitDirectionalLight();
	bool InitTexture();

private:
	CXFile*     m_pXFile;
	CDXEffect*  m_pEffect;

	MyRenderer*	m_pRenderer;
	MyMesh*		m_pMesh;
	MyTexture*  m_pTexture;
};


#endif